SAGA "ParameterSelection" default value is not respected in the modeller

2015-05-19 12:42 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20866

Description

New description:

Apparently in the modeler the defaults for ParameterSelection parameters are not respected and differ from the tool when opened

directly.

Old description:

Running the twi modelling exercise [0] resulted in numerical

values for the end raster that are slightly different from the same

analysis done step by step.

[0]

https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/modeler_twi

Associated revisions

Revision d2b21891 - 2016-05-23 04:42 PM - Alexander Bruy

[processing] correctly set default value in modeler algorithms (fix #12767)

Revision 5a74c684 - 2016-05-23 04:43 PM - Alexander Bruy

[processing] correctly set default value in modeler algorithms (fix #12767)

(cherry picked from commit d2b21891d44a1beb5be2112a53f354c7abec9221)

History

#1 - 2016-02-20 02:19 AM - Paolo Cavallini

I can confirm this with current master.

#2 - 2016-02-20 07:02 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.2 to master

- Status changed from Open to Feedback

Please define slightly different: they differ in a way that one can be considered wrong? Or differences are limited (for example) to values at the extremes of
https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/modeler_twi


the scale?

Have you compared that the commands parameters (by comparing the logs) issued in the modeler are exactly the same as the ones issued as single

steps? If not please do and then report back.

#3 - 2016-02-22 12:07 AM - Paolo Cavallini

e.g. SAGA TWI has method standard in the normal interface, whereas from the modeller the default is TOPMODEL.

#4 - 2016-02-22 05:30 AM - Giovanni Manghi

- Subject changed from Different results from single commands and modeller to SAGA "ParameterSelection" default value is not respected in the 

modeller

- Status changed from Feedback to Open

#5 - 2016-05-23 07:41 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"d2b21891d44a1beb5be2112a53f354c7abec9221".

2025-04-27 2/2


